// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')
})

onEvent('block.registry', event => {

})
onEvent('block.registry', event => {
	event.create('bronze_casing') // Create a new block
	  .displayName('Bronze Casing') // Set a custom name
	  .material('stone') // Set a material (affects the sounds and some properties)
	  .hardness(1.5) // Set hardness (affects mining time)
	  .resistance(6.0) // Set resistance (to explosions, etc)
	  
	  .requiresTool(true) // Requires a tool or it won't drop (see tags below)
	  
	  .tagBlock('minecraft:mineable/pickaxe') //can be mined faster with an pickaxe
	  .tagBlock('minecraft:mineable/axe') // or a axe
	  .tagBlock('minecraft:needs_wooden_tool') // the tool tier must be at least wood
})
onEvent('block.registry', event => {
	event.create('steel_casing') // Create a new block
	  .displayName('Steel Casing') // Set a custom name
	  .material('stone') // Set a material (affects the sounds and some properties)
	  .hardness(1.5) // Set hardness (affects mining time)
	  .resistance(6.0) // Set resistance (to explosions, etc)
	  
	  .requiresTool(true) // Requires a tool or it won't drop (see tags below)
	  
	  .tagBlock('minecraft:mineable/pickaxe') //can be mined faster with an pickaxe
	  .tagBlock('minecraft:mineable/axe') // or a axe
	  .tagBlock('minecraft:needs_wooden_tool') // the tool tier must be at least wood
	
})
onEvent('block.registry', event => {
	event.create('cast_iron_casing') // Create a new block
	  .displayName('Cast Iron Casing') // Set a custom name
	  .material('stone') // Set a material (affects the sounds and some properties)
	  .hardness(1.5) // Set hardness (affects mining time)
	  .resistance(6.0) // Set resistance (to explosions, etc)
	  
	  .requiresTool(true) // Requires a tool or it won't drop (see tags below)
	  
	  .tagBlock('minecraft:mineable/pickaxe') //can be mined faster with an pickaxe
	  .tagBlock('minecraft:mineable/axe') // or a axe
	  .tagBlock('minecraft:needs_wooden_tool') // the tool tier must be at least wood
})